"""
Main Flask-based app for Slinky
"""
from flask import Flask, Response, render_template
from flask_bootstrap import Bootstrap  # type: ignore[import]

from slinky.web import protect, slinky_webapp

app = Flask(__name__)
app.register_blueprint(slinky_webapp)

Bootstrap(app)


@app.route('/')
@protect
def index() -> Response:
    """
    Index/Landing page

    Returns:
        str: string of page content
    """
    return Response(render_template('index.html'), 200)
